# NAME

Trf_TransformBuffer - Interface to procedures for transformation of character sequences.

# SYNOPSIS

    #include <transform.h>

    int Trf_TransformBuffer
    (
    	Trf_ControlBlock ctrlBlock,
    	unsigned char *buf,
    	int bufLen,
    	Tcl_Interp *interp,
    	ClientData clientData
    );

# PARAMETERS

Trf_ControlBlock ctrlBlock
  State of encoder/decoder.
unsigned char *buf
  Characters to transform.
int bufLen
  Number of characters.
Tcl_Interp *interp
  Interpreter for error messages (NULL possible).
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

A procedure of this type is called to encode/decode a complete buffer. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter. Only one of 'Trf_TransformCharacter' and 'Trf_TransformBuffer' must be provided. The first named is easier to implement, this one should be faster. If both are provided, -> 'Trf_TransformBuffer' takes precedence.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs